### Hierarchy

- AbstractMasterPage
  - MasterPage

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- addItem
- items
- navParams
- navProxy
- ngRedux
- path
- schema
- uischema

### Methods

- ngOnInit
- onClick
- onItemSelected

## Constructors

### constructor

- new MasterPage(navParams: NavParams, navProxy: MasterDetailNavService, ngRedux: NgRedux<JsonFormsState>): MasterPage

- - Defined in other/master-detail/pages/master/master.ts:41

  #### Parameters

  - ##### navParams: NavParams

  - ##### navProxy: MasterDetailNavService

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns MasterPage

## Properties

### addItem

addItem: function

- Defined in other/master-detail/pages/master/master.ts:41

#### Type declaration

- - (path: string): function

  - #### Parameters

    - ##### path: string

    #### Returns function

    - - (): void

      - #### Returns void

### items

items: MasterItem

- Defined in other/master-detail/pages/master/master.ts:37

### navParams

navParams: NavParams

- Defined in other/master-detail/pages/master/master.ts:44

### Private navProxy

navProxy: MasterDetailNavService

- Defined in other/master-detail/pages/master/master.ts:45

### Private ngRedux

ngRedux: NgRedux<JsonFormsState>

- Defined in other/master-detail/pages/master/master.ts:46

### path

path: string

- Defined in other/master-detail/pages/master/master.ts:40

### schema

schema: JsonSchema

- Defined in other/master-detail/pages/master/master.ts:39

### uischema

uischema: ControlElement

- Defined in other/master-detail/pages/master/master.ts:38

## Methods

### ngOnInit

- ngOnInit(): void

- - Defined in other/master-detail/pages/master/master.ts:55

  #### Returns void

### onClick

- onClick(): void

- - Defined in other/master-detail/pages/master/master.ts:67

  #### Returns void

### onItemSelected

- onItemSelected(item: any): void

- - Defined in other/master-detail/pages/master/master.ts:63

  #### Parameters

  - ##### item: any

  #### Returns void

Generated using TypeDoc